import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final helloProvider = Provider<String>((ref) => 'Hello world'); // <1>

class ConsumerExample extends StatelessWidget {
  const ConsumerExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const ProviderScope( // <2>
      child: MyExample(),
    );
  }
}

class MyExample extends StatelessWidget {
  const MyExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer( // <3>
      builder: (_, WidgetRef ref, __) => Text(
        ref.watch(helloProvider), // <4>
        textDirection: TextDirection.ltr,
      ),
    );
  }
}
